<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mi-component">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `mi-component`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MiComponent extends Polymer.Element {
      static get is() { return 'mi-component'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'mi-component'
          }
        };
      }
    }

    window.customElements.define(MiComponent.is, MiComponent);
  </script>
</dom-module>
